For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sign btc tx

post

Signs a Bitcoin transaction for the specified account.

Authorizations
AuthorizationstringRequired
Path parameters
accountNamestringRequired
  • The name of the account to sign the transaction for.
Header parameters
AuthorizationstringRequired
  • The authorization token.
Body
  • The request body containing the network, inputs, and outputs.
outputsstringRequired
inputsstringRequired
networkstringRequired
Responses
200

A promise that resolves to a BitcoinCashAPIResponse containing the signed transaction.

application/json
successbooleanRequired
messagestringRequired
post/bitcoincash/accounts/{accountName}/sign-btc-tx
POST /bitcoincash/accounts/{accountName}/sign-btc-tx HTTP/1.1
Host: beta.usemoon.ai/
Authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 51

{
  "outputs": "text",
  "inputs": "text",
  "network": "text"
}
200

A promise that resolves to a BitcoinCashAPIResponse containing the signed transaction.

{
  "success": true,
  "message": "text",
  "data": {
    "signed_tx": "text"
  }
}